Bug 1480481 - [modularity] can't remove a module
[modularity] can't remove a module
Status: POST
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Hatina
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: dnf-modularity
  Show dependency treegraph
 
Reported: 2017-08-11 04:54 EDT by Irina Gulina
Modified: 2017-10-04 09:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 03:31:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove module output (4.28 KB, text/plain)
2017-08-11 04:54 EDT, Irina Gulina
no flags Details

  None (edit)
Description Irina Gulina 2017-08-11 04:54:07 EDT
Created attachment 1312038 [details]
remove module output

Description of problem:

1) Well, with no working --help, I have no idea how to remove/uninstall a module.
Tried
- dnf module remove httpd
- dnf module uninstall httpd
- dnf module delete httpd

2) Ok, for example it's not implemented yet. But the shown output with help, is not helpful at all.

3) I also tried dnf remove [package from @fedora-modularity repo] It hanged the whole system.

See it all in the attachment.

Version-Release number of selected component (if applicable):
latest boltron compose 07-17
dnf-2.6.0-3.git.40.c0f7fc6.module_a7788b02.noarch

How reproducible:
always
Comment 1 Martin Hatina 2017-08-14 03:31:11 EDT
Fixed in https://copr.fedorainfracloud.org/coprs/mhatina/DNF-Modules
Comment 2 Irina Gulina 2017-10-01 16:22:49 EDT
Reopening: 

dnf-2.6.5-1.git.102.e0caca2.fc27.noarch

>> 1) First, I expect ask for y/N confirmation from a user, but it doesn't
Boltron-27-10b543c27489# dnf module remove httpd
Loading repositories.
Last metadata expiration check: 0:35:56 ago on Sun 01 Oct 2017 07:36:21 PM UTC.
Dependencies resolved.
Nothing to do.
Complete!

>> 2) It looks like the httpd module was removed
Boltron-27-10b543c27489# echo $?
0

>> 3) Now try to list --installed modules, httpd is shown as installed!
Boltron-27-10b543c27489# dnf module list --installed
Loading repositories.
Last metadata expiration check: 0:41:58 ago on Sun 01 Oct 2017 07:36:21 PM UTC.
Name                          Stream                                   Version                                Profiles                         Installed                        Info                               
httpd                         master (default)                         20170905144343                         default                                                           httpd module   

>> 4) However dnf update httpd says, that it's not installed 0_o
Boltron-27-10b543c27489# dnf update httpd
Loading repositories.
Last metadata expiration check: 0:41:06 ago on Sun 01 Oct 2017 07:36:21 PM UTC.
Package httpd available, but not installed.
No match for argument: httpd
Error: No packages marked for upgrade.
Comment 3 Irina Gulina 2017-10-01 16:28:48 EDT
Ops, correction: 

>> 4) dnf module update httpd says there is nothing to update. I expect "Module httpd available, but not installed."
Boltron-27-10b543c27489# dnf module update httpd
Loading repositories.
Last metadata expiration check: 0:49:38 ago on Sun 01 Oct 2017 07:36:21 PM UTC.
Dependencies resolved.
Nothing to do. 
Complete!
Comment 4 Irina Gulina 2017-10-02 04:07:58 EDT
Addition: `dnf module remove sssd` asks for confirmation to remove, but it is not the case for httpd. Then it looks like sssd module was removed, but it's listed by `dnf module list --installed`

>> dnf module remove sssd
Loading repositories.
Last metadata expiration check: 0:27:20 ago on Mon 02 Oct 2017 07:35:52 AM UTC.
Dependencies resolved.
=========================================================================================================
 Package                    Arch     Version                            Repository                  Size
=========================================================================================================
Removing:

.....

Freed space: 33 M
Is this ok [y/N]: y
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction

....

 sssd-proxy.x86_64 1.15.3-3.module_5bb98feb                                                             

Complete!

>> Boltron-27-10b543c27489# dnf module list --installed
Loading repositories.
Last metadata expiration check: 0:29:22 ago on Mon 02 Oct 2017 07:35:52 AM UTC.
Name        Stream                 Version              Profiles       Installed       Info              
httpd       master (default)       20170905144343       default                        httpd module      
sssd        master (default)       20170905144604       default                        sssd module
Comment 5 Martin Hatina 2017-10-03 07:15:05 EDT
For httpd there is no profile installed so there is nothing to remove. 

I fixed the 'module list --installed' command to not show modules that are not installed.

I will add warning that the profile is not installed if you want to remove it and it is really not installed.
Comment 6 Martin Hatina 2017-10-04 09:21:40 EDT
Fixed by https://github.com/rpm-software-management/dnf/pull/939

Note You need to log in before you can comment on or make changes to this bug.